com.verisign.epp.interfaces

## Class EPPCommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.interfaces.EPPCommandException

- All Implemented Interfaces:
    java.io.Serializable

      public class EPPCommandException
      extends EPPException

  Exception thrown when an error is recognized by one of the `interfaces` classes. A server error response can be associated with the exception. `hasResponse` is used to determine if there is an associated error response, and `getResponse` is used to get the error response from the exception.
  Version:
    $Id: EPPCommandException.java,v 1.2 2004/01/26 21:21:06 jim Exp $
  Author:
    P. Amiri
  See Also:
    `EPPResponse`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPCommandException(java.lang.String newDescription)` Constructs an Exception with the specified detailed message.
    `EPPCommandException(java.lang.String newDescription, EPPResponse newResponse)` Constructs an Exception with the specified detailed message and an associated server error response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPResponse` | `getResponse()` Gets the server error response associated with the exception.
    `boolean` | `hasResponse()` Is there a server error response associated with the exception?

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPCommandException

          public EPPCommandException(java.lang.String newDescription)

      Constructs an Exception with the specified detailed message. This message should provide information about the source, reasons and any other useful facts that could justifies the reason the exception is thrown.
      Parameters:
        `newDescription` - String containing a detailed message.

    - #### EPPCommandException

          public EPPCommandException(java.lang.String newDescription,
                                     EPPResponse newResponse)

      Constructs an Exception with the specified detailed message and an associated server error response. This message should provide information about the source, reasons and any other useful facts that could justifies the reason the exception is thrown.
      Parameters:
        `newDescription` - String containing a detailed message.
        `newResponse` - Server error response associated with the exception

  - ### Method Detail

    - #### hasResponse

          public boolean hasResponse()

      Is there a server error response associated with the exception? If `true`, `getResponse` can be used to retrieve the response.
      Returns:
        `true` if there is a response; `false` otherwise.

    - #### getResponse

          public EPPResponse getResponse()

      Gets the server error response associated with the exception. If there is no associated error response, `null` will be returned. `hasResponse` can be used to determine if there is a response before calling `getResponse`.
      Returns:
        EPPResponse Server error response if defined; `null` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.